Community's
Moderators van community ophalen
GET /v1/communities/{community_id}/moderators reads 2 credits
De beheerders en moderators van een community.
Queryparameters
| Queryparameter | Type | Betekenis |
|---|---|---|
count | int 1–100 = 50 | Gevraagde paginagrootte; X behandelt dit als een hint |
cursor | string | Uit next_cursor van de vorige pagina; een cursor die niet kan worden gedecodeerd is 400 |
antwoord
Dezelfde vorm als leden; de meeste community's passen op één pagina, dus next_cursor is meestal null.
Status: 200, 400, 404, 422, 429, 502
verzoek
curl https://api.xsignalfeed.com/v1/communities/1493446837214187523/moderators \ -H "Authorization: Bearer xsf_your_key"
antwoord · 200 / 400
{
"community_id": "1493446837214187523",
"users": [
{
"id": "641633",
"screen_name": "marckohlbrugge",
"name": "Marc Köhlbrugge",
"bio": "",
"avatar": "https://pbs.twimg.com/profile_images/1857124042433572864/…_normal.jpg",
"banner": null,
"followers": null,
"following": null,
"tweets": null,
"location": "",
"url": null,
"verified": true,
"verified_type": "blue",
"protected": false,
"created_at": null,
"category": null,
"role": "Admin"
},
{
"…": "…",
"role": "Moderator"
}
],
"next_cursor": null
}